get
https://apisandbox.cieloecommerce.cielo.com.br/1/cardBin/
Query and get card information.
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | get | https://apiquerysandbox.cieloecommerce.cielo.com.br/1/cardBin/{BIN} |
| Production | get | https://apiquery.cieloecommerce.cielo.com.br/1/cardBin/{BIN} |
Learn more about this feature in the documentation.
Warning
- To enable Consulta BIN, contact the Cielo support team;
- Some BINs or card brands may not provide card information in the response;
- If the API returns error code 323, contact Customer Support to enable the feature. Learn more in Consulta BIN Return Codes
To use Consulta BIN in Sandbox, check the simulation scenarios in Consulta BIN in Sandbox.In Sandbox, the returned values are simulations and not real BIN validations. Consider only the request response and its format. For real BIN identification, use the production environment.
The matching based on the first card digits (digits 1 to 6) is used only to generate simulated scenarios and does not represent the behavior of the query in Production.
Consulta BIN response
The API will return the following BIN Query properties:
| Parameter | Description | Type | Size |
|---|---|---|---|
Status | Status of the BIN analysis request: 00 – Analysis authorized 01 – Card brand not supported 02 – Card not supported in the BIN query 73 – Blocked affiliation Refer to the Consulta BIN Return Codes. | string | 2 |
Provider | Card brand | string | 255 |
CardType | Card type in use: Credit Debit Multiple | string | 20 |
ForeingCard | Indicates whether the card is issued abroad (true/false). | boolean | - |
CorporateCard | Indicates whether the card is corporate (true/false). | boolean | - |
Issuer | Card issuer name. | string | 255 |
IssuerCode | Card issuer code. | string | 255 |
Prepaid | Returns "true" if the card is prepaid. | boolean | - |